TimelineEntityGroupId (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.timeline, class: TimelineEntityGroupId

Package org.apache.hadoop.yarn.api.records.timeline

# Class TimelineEntityGroupId

java.lang.Object
org.apache.hadoop.yarn.api.records.timeline.TimelineEntityGroupId

All Implemented Interfaces:
  `Comparable<TimelineEntityGroupId>`

@Public @Unstable public class TimelineEntityGroupId extends Object implements Comparable<TimelineEntityGroupId>

`TimelineEntityGroupId` is an abstract way for timeline service users to represent “a group of related timeline data. For example, all entities that represents one data flow DAG execution can be grouped into one timeline entity group.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TIMELINE_ENTITY_GROUPID_STR_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimelineEntityGroupId()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(TimelineEntityGroupId other)`
  `boolean`
  `equals(Object obj)`
  `static TimelineEntityGroupId`
  `fromString(String timelineEntityGroupIdStr)`
  `ApplicationId`
  `getApplicationId()`
  Get the `ApplicationId` of the `TimelineEntityGroupId`.
  `String`
  `getTimelineEntityGroupId()`
  Get the `timelineEntityGroupId`.
  `int`
  `hashCode()`
  `static TimelineEntityGroupId`
  `newInstance(ApplicationId applicationId, String id)`
  `void`
  `setApplicationId(ApplicationId appID)`
  `protected void`
  `setTimelineEntityGroupId(String timelineEntityGroupId)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TIMELINE_ENTITY_GROUPID_STR_PREFIX

    @Private @Unstable public static final String TIMELINE_ENTITY_GROUPID_STR_PREFIX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TimelineEntityGroupId

    public TimelineEntityGroupId()

- ## Method Details

  - ### newInstance

    public static TimelineEntityGroupId newInstance(ApplicationId applicationId, String id)

  - ### getApplicationId

    public ApplicationId getApplicationId()
    Get the `ApplicationId` of the `TimelineEntityGroupId`.
    Returns:
      `ApplicationId` of the `TimelineEntityGroupId`

  - ### setApplicationId

    public void setApplicationId(ApplicationId appID)

  - ### getTimelineEntityGroupId

    public String getTimelineEntityGroupId()
    Get the `timelineEntityGroupId`.
    Returns:
      `timelineEntityGroupId`

  - ### setTimelineEntityGroupId

    @Private @Unstable protected void setTimelineEntityGroupId(String timelineEntityGroupId)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### compareTo

    public int compareTo(TimelineEntityGroupId other)
    Specified by:
      `compareTo` in interface `Comparable<TimelineEntityGroupId>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### fromString

    public static TimelineEntityGroupId fromString(String timelineEntityGroupIdStr)